export type AsyncStorageManager = {
    getItem: <T extends string | null>(key: string) => Promise<T>;
    setItem: (key: string, value: string) => Promise<void>;
};
export declare const asyncStorageWrapper: AsyncStorageManager & {
    addAsyncStorageManager: (callback: () => Promise<AsyncStorageManager>) => Promise<void>;
};
export default asyncStorageWrapper;
